Subject: [PATCH] recordmcount: arm64: replace the ignored mcount call into nop

From: [email-masked] (Will Deacon)
Date: Wed, 28 Oct 2015 11:58:25 +0000

On Wed, Oct 28, 2015 at 04:16:19AM -0400, Steven Rostedt wrote:
> On Wed, 28 Oct 2015 16:04:05 +0800
> Li Bin <[email-masked]> wrote:
> 
> > By now, the recordmcount only records the function that in
> > following sections:
> > .text/.ref.text/.sched.text/.spinlock.text/.irqentry.text/
> > .kprobes.text/.text.unlikely
> > 
> > For the function that not in these sections, the call mcount
> > will be in place and not be replaced when kernel boot up. And
> > it will bring performance overhead, such as do_mem_abort (in
> > .exception.text section). This patch make the call mcount to
> > nop for this case in recordmcount.
> 
> I can take this in my tree with an Ack from the ARM64 maintainers.

Looks like it does what it says on the tin:

  Acked-by: Will Deacon <[email-masked]>

Will